Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class MetaObjectManager

    java.lang.Object
      |
      +--oracle.jbo.server.MetaObjectManager

public final class MetaObjectManager
extends java.lang.Object
implements MetaObjectBase

A static class used for accessing meta-objects.

This class contains references to all Business Componenents for Java meta-objects. These classes are loaded from XML through JNDI calls to the appropriate context, and are also loaded at runtime from jboserver.properties.

Since:
  Jdeveloper 3.0

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_COMPONENT_OBJECT, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_PACKAGE, TYP_VALIDATOR_TYPE, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Method Summary
`static void` | `createSharedDataHandle()`
`static javax.naming.Context` | `getContext()` Gets the context, an instance of the context factory.
`static java.util.Hashtable` | `getMetaObjects()` Get the Hashtable for the metaobjects
`static oracle.jbo.server.xml.JboXMLDoc` | `getParser()` Gets the XML parser.
`static java.util.Properties` | `getServerProperties()` Gets the server properties loaded from oracle.jbo.server.jboserver.properties.
`static SharedHandle` | `getSharedHandle()` Get the Shared Handle
`static java.lang.String` | `getSharedHandleName()` Get the Shared handle name
`static boolean` | `getSharedHandleStatus()` Get the Shared Handle Status
`static java.util.Hashtable` | `getXMLMetaObjects()` Get the Hashtable for the XML JBOElements
`static void` | `init()` static { init(); }
`static boolean` | `isLazyLoading()` Gets the value of the JSP lazy loading flag.
`static oracle.jbo.server.xml.JboElementImpl` | `loadBaseElement(java.lang.String metaObjectName)`
`static void` | `loadContext(java.lang.String cusContextFactory, java.lang.String initContext)` Allows the application to change the context factory and default context at runtime.
`static java.lang.Object` | `loadFromSharedDataHandle(java.lang.String metaObjectName)` Returns the def object from HashTable
`static oracle.jbo.server.DefObject` | `loadFromXML(java.lang.String tmpXMLFileName, oracle.jbo.server.xml.JboElementImpl elem, java.lang.String objType)` Loads the XML metadata stream and returns a Def Object
`static oracle.jbo.server.PackageDefImpl` | `loadProject(java.lang.String projectName)` Finds the named package definition from the statically maintained list of meta-objects.
`static java.lang.Object` | `loadXMLFromSharedDataHandle(java.lang.String metaObjectName)` Returns the JBOElementImpl object from HashTable
`static void` | `reportVMProperties()` Diagnostic method which reports some useful VM properties throught the diagnostic stream
`static void` | `set8iProjectSub(java.lang.String projectName)`
`static void` | `setContextImpl(javax.naming.Context jndiContext)` Set the JNDI context through API Call
`static void` | `setLazyLoading(boolean lazyLoading)` Sets the value of the JSP lazy loading flag.
`static void` | `setProperty(java.lang.String propname, java.lang.String propval)`
`static void` | `setSharedHandleName(java.lang.String handleName)` Set the Shared handle name, App module calls this function for the metaobjects

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public static oracle.jbo.server.xml.JboXMLDoc getParser()

  Gets the XML parser.
  Returns:
    the XMLParser.

### getMetaObjects

    public static java.util.Hashtable getMetaObjects()

  Get the Hashtable for the metaobjects

### getXMLMetaObjects

    public static java.util.Hashtable getXMLMetaObjects()

  Get the Hashtable for the XML JBOElements

### setSharedHandleName

    public static void setSharedHandleName(java.lang.String handleName)

  Set the Shared handle name, App module calls this function for the metaobjects

### set8iProjectSub

    public static void set8iProjectSub(java.lang.String projectName)

### setContextImpl

    public static void setContextImpl(javax.naming.Context jndiContext)

  Set the JNDI context through API Call
  Parameters:
    `Context` - Initial Context Impl

### getSharedHandleName

    public static java.lang.String getSharedHandleName()

  Get the Shared handle name

### getSharedHandleStatus

    public static boolean getSharedHandleStatus()

  Get the Shared Handle Status

### getSharedHandle

    public static SharedHandle getSharedHandle()

  Get the Shared Handle

### init

    public static void init()

  static { init(); }

### setProperty

    public static void setProperty(java.lang.String propname,
                                   java.lang.String propval)

### isLazyLoading

    public static boolean isLazyLoading()

  Gets the value of the JSP lazy loading flag.
  Returns:
    the value of the lazy loading flag.

### setLazyLoading

    public static void setLazyLoading(boolean lazyLoading)

  Sets the value of the JSP lazy loading flag.
  Parameters:
    `lazyLoading` - the new value of the lazy loading flag.

### loadFromXML

    public static oracle.jbo.server.DefObject loadFromXML(java.lang.String tmpXMLFileName,
                                                          oracle.jbo.server.xml.JboElementImpl elem,
                                                          java.lang.String objType)

  Loads the XML metadata stream and returns a Def Object
  Parameters:
    `tmpXMLFileName` - name of the temporary XML file.
    `elem` - an XML Stream as a JboElementImpl object.
    `objType` - Object type Tag.
  Returns:
    a defObject, which is a JBO Object extending DefObject

### loadProject

    public static oracle.jbo.server.PackageDefImpl loadProject(java.lang.String projectName)

  Finds the named package definition from the statically maintained list of meta-objects.
  Parameters:
    `projectName` - the fully-qualified name of the package.
  Returns:
    the named package, or `null` if no package exists.

### loadFromSharedDataHandle

    public static java.lang.Object loadFromSharedDataHandle(java.lang.String metaObjectName)

  Returns the def object from HashTable
  Returns:
    defObject: name of the Def Object (packagename.objName)

### loadXMLFromSharedDataHandle

    public static java.lang.Object loadXMLFromSharedDataHandle(java.lang.String metaObjectName)

  Returns the JBOElementImpl object from HashTable
  Returns:
    JboElementImpl: name of the Def Object (packagename.objName)

### loadContext

    public static void loadContext(java.lang.String cusContextFactory,
                                   java.lang.String initContext)

  Allows the application to change the context factory and default context at runtime.
  Parameters:
    `cusContextFactory` - the name of the new custom context factory. if `null` the default is restored.
    `initContext` - the name of the new default context. if `null` the default is restored.

### getContext

    public static javax.naming.Context getContext()

  Gets the context, an instance of the context factory. Applications can use the context to specify their own bindings for business meta-objects, and can fetch these objects from the context.
  Returns:
    the context.

### getServerProperties

    public static java.util.Properties getServerProperties()

  Gets the server properties loaded from oracle.jbo.server.jboserver.properties.
  Returns:
    the server properties.

### loadBaseElement

    public static oracle.jbo.server.xml.JboElementImpl loadBaseElement(java.lang.String metaObjectName)

### createSharedDataHandle

    public static void createSharedDataHandle()
                                       throws javax.naming.NamingException

### reportVMProperties

    public static void reportVMProperties()

  Diagnostic method which reports some useful VM properties throught the diagnostic stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD